Subject: Re: linux-next: build failure after merge of the bluetooth tree

From: Christian Eggers <[email-masked]>
Date: Tue, 15 Jul 2025 06:36:09 +0200

On Tuesday, 15 July 2025, 05:09:32 CEST, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the bluetooth tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/bluetooth/hci_ll.c: In function 'll_setup':
> drivers/bluetooth/hci_ll.c:652:60: error: 'struct hci_dev' has no member named 'quirks'
>   652 |                 set_bit(HCI_QUIRK_INVALID_BDADDR, &hu->hdev->quirks);
>       |                                                            ^~
> drivers/bluetooth/hci_ll.c:656:68: error: 'struct hci_dev' has no member named 'quirks'
>   656 |                         set_bit(HCI_QUIRK_INVALID_BDADDR, &hu->hdev->quirks);
>       |                                                                    ^~
> 
> Caused by commit
> 
>   be736f5f89d5 ("Bluetooth: hci_dev: replace 'quirks' integer by 'quirk_flags' bitmap")
> 
> I have used te bluetooth tree from next-20250714 fo today.
> 
> 

Sorry for this, it was already too late yesterday...

Kiran K. already wrote a fix for this:

https://lore.kernel.org/linux-bluetooth/[email-masked]/

I hope that's all what I missed.

regards,
Christian